| Home | Libraries | People | FAQ | More

## Struct template right

boost::proto::result_of::right — A metafunction that returns the type of the right child of a binary Proto expression.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename Expr>
    struct right :  proto::result_of::child_c< Expr, 1 > {
    };

## Description

`proto::result_of::right<Expr>` is equivalent to `proto::result_of::child_c<Expr, 1>`.